Loading...
Searching...
No Matches
Halide::Internal::Fork Struct Reference

A pair of statements executed concurrently. More...

`#include <IR.h>`

Inheritance diagram for Halide::Internal::Fork:

## Static Public Member Functions

static Stmt | make (Stmt first, Stmt rest)

## Public Attributes

Stmt | first
Stmt | rest
Public Attributes inherited from Halide::Internal::IRNode
RefCount | ref_count
| These classes are all managed with intrusive reference counting, so we also track a reference count.
IRNodeType | node_type
| Each IR node subclass has a unique identifier.

## Static Public Attributes

static const IRNodeType | _node_type = IRNodeType::Fork

## Additional Inherited Members

Public Member Functions inherited from Halide::Internal::StmtNode< Fork >
void | accept (IRVisitor *v) const override
| We use the visitor pattern to traverse IR nodes throughout the compiler, so we have a virtual accept method which accepts visitors.
Stmt | mutate_stmt (IRMutator *v) const override
| StmtNode ()
| ~StmtNode () override=default
Public Member Functions inherited from Halide::Internal::BaseStmtNode
| BaseStmtNode (IRNodeType t)
Public Member Functions inherited from Halide::Internal::IRNode
| IRNode (IRNodeType t)
virtual | ~IRNode ()=default

## Detailed Description

A pair of statements executed concurrently.

Both statements are joined before the Stmt ends. This is the parallel equivalent to Block.

Definition at line 457 of file IR.h.

## Member Function Documentation

## make()

Stmt Halide::Internal::Fork::make | ( | Stmt | first,
|  | Stmt | rest )

static

References first, and rest.

## Member Data Documentation

## first

Stmt Halide::Internal::Fork::first

Definition at line 458 of file IR.h.

Referenced by make().

## rest

Stmt Halide::Internal::Fork::rest

Definition at line 458 of file IR.h.

Referenced by make().

## _node_type

const IRNodeType Halide::Internal::Fork::_node_type = IRNodeType::Fork

static

Definition at line 462 of file IR.h.

The documentation for this struct was generated from the following file:

- src/IR.h